Subject: bug#66509: 29.1.50; let-alist should support numeric indexing

From: Stefan Kangas <[email-masked]>
Date: Fri, 27 Sep 2024 00:15:37 -0700

reopen 66509
thanks

>> Pushed to master (commit ae4171efdc6).
>>
>> I'm therefore closing this bug report.

I'm reopening this bug report, based on this request from Robert Pluim:

> Would it be possible to update the elisp manual as well (and maybe add
> an entry to NEWS)?

I think that should be done also, so I'm reopening the bug to track that
work.  Spencer, do you think you could you please address it?

Bonus points for adding tests, as requested by Eli.

Thanks in advance.